package com.union.ai.api.dao.model;

import java.io.Serializable;

/**
 * 
 *
 * @author jingxingxin
 * @date 2019-4-22
 *
 */
public class Role implements Serializable {
    /**  */
    private Integer roleId;

    /** 角色名字 */
    private String roleName;

    /** 角色类型 */
    private Integer roleType;

    /** 备注 */
    private String description;

    private static final long serialVersionUID = 1L;

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName == null ? null : roleName.trim();
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }
}